---
updatedAt: 2026-07-15T09:09:20.000Z
agentTools:
  projectIndex: https://api.pushcrew.com/llms.txt
---

# Authentication and Authorization

Each API request is authenticated by an authentication token in the request header. To get your authentication token, please email us at <support@wingify.com>

The token needs to be sent in the 'Authorization' HTTP header. The value of the header should be the authentication token.

Refer to examples below:

```curl
curl -H "Authorization: <insert token value here>" https://pushcrew.com/api/v1/send/all
```
```php
$curlUrl = '';

$fields = Array();

$apiToken = 'token value here';

$httpHeadersArray = Array();
$httpHeadersArray[] = 'Authorization: key='.$apiToken;

//open connection
$ch = curl_init();

//set the url, number of POST vars, POST data
curl_setopt($ch, CURLOPT_URL, $curlUrl);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($fields));
curl_setopt($ch, CURLOPT_HTTPHEADER, $httpHeadersArray);

curl_exec($ch);
```

If you provide a wrong token, or include a token in the request body rather than the header, the response will have status code of 401 with message body as:

```json
{
    "message": "You are not authorized"
}
```

**Please Note:**<br />A user authentication token authorized to your application is not time-bound and is valid indefinitely without requiring you to re-authorize.